import { Document, Schema, model } from "mongoose";

import ProfileSchema from "./ProfileSchema";

export interface ICard extends Document {
  user: typeof ProfileSchema;
  backgroundImage?: string;
  createDate: Date;
  expirationDate: Date;
  isTaken: boolean;
}

const CardSchema = new Schema({
  // _id: card Number
  user: { type: ProfileSchema, required: true },
  backgroundImage: { type: String },
  createDate: { type: Date, required: true },
  expirationDate: { type: Date, required: true },
  isTaken: { type: Boolean, required: true, default: false },
});

export default model<ICard>("Card", CardSchema);
